Standards for an assessment
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"identifier": "7b0d37ef-9b49-59cb-936c-3ead359aed05",
"caseIdentifierUUID": "6ba17134-d7cc-11e8-824f-0242ac160002",
"author": "Common Good Learning Tools",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Common Core Mathematics standards provided by Common Good Learning Tools available at https://corestandards.org/wp-content/uploads/2023/09/Math_Standards1.pdf."
}
],
"pagination": {
"limit": 100,
"nextCursor": null,
"hasMore": false
}
}{
"error": "UnauthorizedError",
"message": "Missing or invalid bearer token",
"requestId": "req_12345"
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Standards for an assessment
Fetches all academic standards aligned to a specific assessment.
Returns the standards that this assessment evaluates. These alignments indicate which learning expectations the assessment is designed to measure.
Use this endpoint when you need to:
- See which standards an assessment evaluates
- Build standards-aligned assessments
- Track standards coverage in assessments
- Generate assessment standards reports
GET
/
assessments
/
{assessmentId}
/
standards
Standards for an assessment
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.learningcommons.org/knowledge-graph/v0/assessments/{assessmentId}/standards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"identifier": "7b0d37ef-9b49-59cb-936c-3ead359aed05",
"caseIdentifierUUID": "6ba17134-d7cc-11e8-824f-0242ac160002",
"author": "Common Good Learning Tools",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Common Core Mathematics standards provided by Common Good Learning Tools available at https://corestandards.org/wp-content/uploads/2023/09/Math_Standards1.pdf."
}
],
"pagination": {
"limit": 100,
"nextCursor": null,
"hasMore": false
}
}{
"error": "UnauthorizedError",
"message": "Missing or invalid bearer token",
"requestId": "req_12345"
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Query Parameters
Was this page helpful?